format_version: '1.0'

repository_url: https://github.com/tats/w3m

sequence:
  base_version:
    input_file: 'e458def0.zip'
    commit_sha1: e458def067859615ce4bc7170733d368f49d63c2
  fix_attempt:
    - input_file: 'fcaef5df.diff'
      commit_sha1: fcaef5dfc87973970a52544df5f2f5f3017da86b
    - input_file: 'f393faf5.diff'
      commit_sha1: f393faf55975a94217df479e1bd06ee4403c6958
    - input_file: '2a4a2fb9.diff'
      commit_sha1: 2a4a2fb9f116b50e7c80d573db06c0fdc6c69272
    - input_file: '0a04bf8a.diff'
      commit_sha1: 0a04bf8a1cb3868ace621b092d26cefdeb5ec359
    
  expected_fix:
    input_file: 'f70aecd1.diff'
    commit_sha1: f70aecd15ac2806755f11659a3e839085ec6304c

  
classification: partial fix
categories:
  - null pointers
  - termination

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/tats/w3m/issues/20
